# Generated by Django 4.1.4 on 2023-04-29 08:23

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("todolist", "0003_register"),
    ]

    operations = [
        migrations.CreateModel(
            name="EventItem",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("event_name", models.CharField(max_length=50)),
                ("description", models.CharField(max_length=200)),
                ("status", models.CharField(default="pending", max_length=50)),
                ("event_date", models.DateTimeField(verbose_name="event date")),
                (
                    "user",
                    models.ForeignKey(
                        default="",
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
    ]
